import { makeStyles, createStyles, Theme } from '@material-ui/core';
export const useStyles = makeStyles((theme: Theme) =>
  createStyles({
    root: {
      width: '100%',
      paddingLeft: 15,
      paddingRight: 15,
    },
    alignRight: {
      textAlign: 'right',
    },
    spaceBetween: {
      display: 'flex',
      justifyContent: 'space-between',
      borderBottomColor: '#fff',
    },
    textTitre: {
      color: theme.palette.secondary.main,
      fontSize: 14,
    },
    selectBox: {
      display: 'flex',
      justifyContent: 'flex-start',
      paddingLeft: 8,
    },
    tableText: {
      fontWeight: 'normal',
      fontSize: 14,
      paddingLeft: 4,
    },
    tableMonetaire: {
      fontWeight: 'normal',
      fontSize: 14,
      paddingLeft: 4,
      textAlign: 'left',
    },
    historiqueRoot: {
      width: '100%',
      display: 'flex',
      background: '#27272F',
      padding: '15px',
    },
    titre: {
      fontSize: '12px',
      top: '268px',
      left: '16px',
      width: '55px',
      height: '14px',
      fontFamily: 'Roboto,Regular',
      color: '#9E9E9E',
      opacity: '1',
    },
    sousTitre: {
      fontSize: '12px',
      top: '286px',
      left: '16px',
      width: '57px',
      height: '14px',
      fontFamily: 'Roboto',
      fontWeight: 'bold',
      color: '#F8F8F8',
      opacity: '1',
      marginTop: '8px',
    },
    historiqueHeader: {
      width: '100%',
      display: 'flex',
      justifyContent: 'space-between',
      marginBottom: '20px',
      '& .MuiTypography-root': {
        fontSize: '16px',
        color: '#27272F',
        opacity: '1',
        fontFamily: 'Roboto,Regular',
        fontWeight: '400',
      },
    },
    icon: {
      display: 'flex',
    },
    iconSort: {
      '& .MuiSvgIcon-root': {
        marginRight: '8px',
      },
    },
    historiqueTitre: {
      width: '100%',
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'space-between',
    },
    historique: {
      width: '100%',
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'space-between',
    },
    historiqueItems: {
      width: '100%',
      marginTop: '16px',
    },
    historiqueListeItems: {
      marginTop: '16px',
      marginBottom: '16px',
      width: '100%',
      display: 'flex',
      justifyContent: 'space-between',
    },
    commande: {
      display: 'flex',
    },
    numeroCommande: {
      fontSize: '14px',
      width: '96px',
      height: '17px',
      color: '#424242',
      fontFamily: 'Roboto,Regular',
    },
    reference: {
      height: '17px',
      fontSize: '12px',
      fontFamily: 'Roboto, Regular',
      fontWeight: 'bold',
      width: '68px',
      color: '#424242',
      opacity: '1',
    },
    status: {
      fontSize: '12px',
      textTransform: 'lowercase',
      // width: '42px',
      color: '#424242',
      opacity: '1',
      top: '326px',
      left: '302px',
    },
    historiqueTitreItems: {
      width: '100%',
      display: 'flex',
      justifyContent: 'space-between',
      margin: 'auto',
      marginBottom: '30px',
      padding: '15px',
      background: '#F8F8F8',
      marginTop: '8px',
    },
    date: {
      marginBottom: '8px',
      color: '#9E9E9E',
      opacity: '1',
      fontSize: '14px',
    },
    historiqueDetails: {
      fontSize: '12px',
      top: '378px',
      left: '24px',
      width: '55px',
      height: '14px',
      color: '#9E9E9E',
      opacity: '1',
      fontFamily: 'Roboto,Regular',
    },
    totalHistorique: {
      fontSize: '12px',
      fontFamily: 'Roboto',
      fontWeight: 'bold',
      width: '57px',
      color: '#212121',
      height: '14px',
      opacity: '1',
    },
    bouttonAdd: {
      marginTop: '50px',
      marginBottom: '20px',
      display: 'flex',
      justifyContent: 'flex-end',
      '& .MuiSvgIcon-root': {
        fontSize: '56px',
        background: theme.palette.primary.main,
        borderRadius: '50%',
        color: '#ffffff',
        padding: '10px',
        position: 'absolute',
        zIndex: '1000',
        bottom: '90 !important',
        right: '24 !important',
      },
    },
  })
);
